CMAP_INITIALIZE_MAP(3)

NAME

cmap_initialize_map - Initialize CMAP API with a specific map

SYNOPSIS

#include <corosync/cmap.h>

cs_error_t cmap_initialize_map (cmap_handle_t *handle, cmap_map_t map);

DESCRIPTION

The cmap_initialize_map function is used to initialize a connection to the Configuration Map API and specify a particular map to use. Each application may have several connections to the CMAP API and to different maps. Each application uses the handle argument to uniquely identify the connection. The handle argument is then used in other function calls to identify the connection to be used for communication with the CMAP service.

The map argument specifies which map to connect to. CMAP_MAP_ICMAP is the configuration map that contains the current corosyn cconfiguraton and some runtime variables that maybe useful to external agents. CMAP_MAP_STATS is the statistics map that contains detailed information about network and inter-process communications.

RETURN VALUE
This call returns the CS_OK value if successful, otherwise an error is returned.

SEE ALSO
cmap_initialize(3), cmap_finalize(3), cmap_overview(8)

CS_ERR_TRY_AGAIN Resource temporarily unavailable

CS_ERR_INVALID_PARAM Invalid argument

CS_ERR_ACCESS Permission denied

CS_ERR_LIBRARY The connection failed

CS_ERR_INTERRUPT System call interrupted by a signal

CS_ERR_NOT_SUPPORTED The requested protocol/functionality not supported

CS_ERR_MESSAGE_ERROR Incorrect auth message received

CS_ERR_NO_MEMORY Not enough memory to complete the requested task